/* Copyright 2010 Markus Peloquin <markus@cs.wisc.edu>,
 * Lena Olson <lena@cs.wisc.edu>
 *
 * You can't do anything with this but read and execute it privately.  If you
 * want to do more, ask us if we'd be willing to make a more permissive
 * license. */

#include <cstdlib>
#include <iostream>

#include "HRTimer.h"

int fib(int n)
{
  if (n < 2) {
    return n;
  }
  return fib(n-1) + fib(n-2);
}


int
main(int argc, char **argv)
{

  int num=10;
  // let's get size as an argument
  if (argc > 1){
    num=atoi(argv[1]);
  }


  unsigned result;

  double start, end;
  init_timer();
  start = get_time_ns();

  result = fib(num);
  end = get_time_ns();
  std::cout << "fib result is " << result << '\n';
  std::cout << "Time: " << (end - start) / 1000000000.0 << " s\n"; 

  return 0;
}
